Subject: linux-next: manual merge of the jc_docs tree with the cifs tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 2 Aug 2019 10:38:03 +1000

Hi all,

Today's linux-next merge of the jc_docs tree got a conflict in:

  Documentation/admin-guide/cifs/todo.rst

between commit:

  46c8a6b4c39e ("smb3: update TODO list of missing features")

from the cifs tree and commit:

  f139291c7130 ("docs: fs: cifs: convert to ReST and add to admin-guide book")

from the jc_docs tree.

I fixed it up (see below) and can carry the fix as necessary. This
is now fixed as far as linux-next is concerned, but any non trivial
conflicts should be mentioned to your upstream maintainer when your tree
is submitted for merging.  You may also want to consider cooperating
with the maintainer of the conflicting tree to minimise any particularly
complex conflicts.

-- 
Cheers,
Stephen Rothwell

diff --cc Documentation/admin-guide/cifs/todo.rst
index edbbccda1942,95f18e8c9b8a..000000000000
--- a/Documentation/admin-guide/cifs/todo.rst
+++ b/Documentation/admin-guide/cifs/todo.rst
@@@ -13,52 -18,49 +18,52 @@@ a) SMB3 (and SMB3.1.1) missing optiona
     - T10 copy offload ie "ODX" (copy chunk, and "Duplicate Extents" ioctl
       currently the only two server side copy mechanisms supported)
  
 -b) improved sparse file support
 +b) improved sparse file support (fiemap and SEEK_HOLE are implemented
- but additional features would be supportable by the protocol).
++   but additional features would be supportable by the protocol).
  
  c) Directory entry caching relies on a 1 second timer, rather than
- using Directory Leases, currently only the root file handle is cached longer
+    using Directory Leases, currently only the root file handle is cached longer
  
  d) quota support (needs minor kernel change since quota calls
- to make it to network filesystems or deviceless filesystems)
+    to make it to network filesystems or deviceless filesystems)
  
 -e) Additional use cases where we use "compoounding" (e.g. open/query/close
 -   and open/setinfo/close) to reduce the number of roundtrips, and also
 -   open to reduce redundant opens (using deferred close and reference counts
 -   more).
 +e) Additional use cases can be optimized to use "compounding"
- (e.g. open/query/close and open/setinfo/close) to reduce the number
- of roundtrips to the server and improve performance. Various cases
- (stat, statfs, create, unlink, mkdir) already have been improved by
- using compounding but more can be done.  In addition we could significantly
- reduce redundant opens by using deferred close (with handle caching leases)
- and better using reference counters on file handles.
++   (e.g. open/query/close and open/setinfo/close) to reduce the number
++   of roundtrips to the server and improve performance. Various cases
++   (stat, statfs, create, unlink, mkdir) already have been improved by
++   using compounding but more can be done.  In addition we could significantly
++   reduce redundant opens by using deferred close (with handle caching leases)
++   and better using reference counters on file handles.
  
  f) Finish inotify support so kde and gnome file list windows
- will autorefresh (partially complete by Asser). Needs minor kernel
- vfs change to support removing D_NOTIFY on a file.   
+    will autorefresh (partially complete by Asser). Needs minor kernel
+    vfs change to support removing D_NOTIFY on a file.
  
  g) Add GUI tool to configure /proc/fs/cifs settings and for display of
- the CIFS statistics (started)
+    the CIFS statistics (started)
  
  h) implement support for security and trusted categories of xattrs
- (requires minor protocol extension) to enable better support for SELINUX
+    (requires minor protocol extension) to enable better support for SELINUX
  
  i) Add support for tree connect contexts (see MS-SMB2) a new SMB3.1.1 protocol
     feature (may be especially useful for virtualization).
  
  j) Create UID mapping facility so server UIDs can be mapped on a per
- mount or a per server basis to client UIDs or nobody if no mapping
- exists. Also better integration with winbind for resolving SID owners
+    mount or a per server basis to client UIDs or nobody if no mapping
+    exists. Also better integration with winbind for resolving SID owners
  
  k) Add tools to take advantage of more smb3 specific ioctls and features
- (passthrough ioctl/fsctl is now implemented in cifs.ko to allow sending
- various SMB3 fsctls and query info and set info calls directly from user space)
- Add tools to make setting various non-POSIX metadata attributes easier
- from tools (e.g. extending what was done in smb-info tool).
 -   (passthrough ioctl/fsctl for sending various SMB3 fsctls to the server
 -   is in progress, and a passthrough query_info call is already implemented
 -   in cifs.ko to allow smb3 info levels queries to be sent from userspace)
++   (passthrough ioctl/fsctl is now implemented in cifs.ko to allow sending
++   various SMB3 fsctls and query info and set info calls directly from user space)
++   Add tools to make setting various non-POSIX metadata attributes easier
++   from tools (e.g. extending what was done in smb-info tool).
  
  l) encrypted file support
  
  m) improved stats gathering tools (perhaps integration with nfsometer?)
- to extend and make easier to use what is currently in /proc/fs/cifs/Stats
+    to extend and make easier to use what is currently in /proc/fs/cifs/Stats
  
 -n) allow setting more NTFS/SMB3 file attributes remotely (currently limited to
 -   compressed file attribute via chflags) and improve user space tools for
 -   managing and viewing them.
 +n) Add support for claims based ACLs ("DAC")
  
  o) mount helper GUI (to simplify the various configuration options on mount)
  
@@@ -74,22 -76,21 +79,23 @@@ q) Allow mount.cifs to be more verbose 
  r) updating cifs documentation, and user guide.
  
  s) Addressing bugs found by running a broader set of xfstests in standard
- file system xfstest suite.
+    file system xfstest suite.
  
  t) split cifs and smb3 support into separate modules so legacy (and less
- secure) CIFS dialect can be disabled in environments that don't need it
- and simplify the code.
+    secure) CIFS dialect can be disabled in environments that don't need it
+    and simplify the code.
  
  v) POSIX Extensions for SMB3.1.1 (started, create and mkdir support added
- so far).
+    so far).
  
  w) Add support for additional strong encryption types, and additional spnego
- authentication mechanisms (see MS-SMB2)
+    authentication mechanisms (see MS-SMB2)
  
 +x) Finish support for SMB3.1.1 compression
 +
- KNOWN BUGS
- ====================================
+ Known Bugs
+ ==========
+ 
  See http://bugzilla.samba.org - search on product "CifsVFS" for
  current bug list.  Also check http://bugzilla.kernel.org (Product = File System, Component = CIFS)